# Reaction Core Component Library and Style Guide

[![npm (scoped)](https://img.shields.io/npm/v/@reactioncommerce/components.svg)](https://www.npmjs.com/package/@reactioncommerce/components)
 [![CircleCI](https://circleci.com/gh/reactioncommerce/reaction-component-library.svg?style=svg)](https://circleci.com/gh/reactioncommerce/reaction-component-library)

This is a single project in which a reusable Reaction UI components package and the Reaction Design System website are maintained.
- [`@reactioncommerce/components`](https://www.npmjs.com/package/@reactioncommerce/components) (See the package.json in `/package` folder.)
- [Reaction Design System](https://stoic-hodgkin-c0179e.netlify.com/) (See the root package.json.)

We use the [React Styleguidist](https://react-styleguidist.js.org/) package to run and build the Reaction Design System website, and running the style guide locally doubles as an interactive playground for developing and testing the components.

## Use the React components in your project

Refer to the [Reaction Design System docs](https://stoic-hodgkin-c0179e.netlify.com/#!/Using%20Components)

## Contribute to this project

Refer to the [contributor docs](./docs)

## License

Copyright © [GNU General Public License v3.0](./LICENSE.md)
