###### Color is the best.

Our color system is designed to be modular and updatable by using variables to generate our color palette beyond the primary colors. 

#### Types

- The colors are separated by Medium, Dark and Support.

#### Usage

- `@reaction-blue`: reactions brand color and as a color to denote important. 
- `@cool-grey`: accent color to `@reaction-blue` and as a default color for buttons and type.
- `@forest-green`: call to action (CTA) color for the storefront of reaction and in some cases as a success color in the admin console.
- `@dark-blue`: accent color designed to compliment the overall color palette. 
- `@yellow`: used to communicate warnings throughout the admin console. 
- `@red`: used to communicate danger through out the admin console. 
- `@teal`: used to communicate info through out the admin console. 
 
#### Color contrast accessibility

A dark “A” means that a color reaches [Web Content Accessibility Guide](https://www.w3.org/WAI/standards-guidelines/wcag/) (WCAG) AA requirement for accessibility for dark text on a color background. A white “A” means that a color reaches WCAG AA requirement for accessibility for light text on a color background.

#### Specs

The large color below represent the primary color and the smaller colors are a range of color designed to work with the primary color. 

##### Medium colors

<img alt="Medium colors" src="colors/medium-colors.png" style="margin-top: 20px; margin-bottom: 20px; width: 75%;">

|Variable                                                                       |Usage                                                     |
|-------------------------------------------------------------------------------|:--------------------------------------------------------:|
| @color - Reaction designated color                                            | Used as a primary version of a color.                    |
| @color-100 - @lighten-percentage: 48%; @saturate-percentage: 15%;             | Recommended for backgrounds                              |
| @color200 - @lighten-percentage: 40%; @desaturate-percentage: 40%;            | Recommended for disabled states                          |
| @color300 - @lighten-percentage: 8%; @saturate-percentage: 15%;               | Recommended for button hover states                      |
| @color400 - @darken-percentage: 10%; @saturate-percentage: 15%;               | Recommended for button active states                     |
| @color500 - @darken-percentage: 20%; @desaturate-percentage: 35%;             | Recommended for accented text color                      |
| @color600 - @darken-percentage: 32%; @desaturate-percentage: 35%;             | Recommended for accented text color with more contrast   |

##### Dark colors

<img alt="Dark colors" src="colors/dark-colors.png" style="margin-top: 20px; margin-bottom: 20px; width: 75%;">

|Variable                                                                       |Usage                                                     |
|-------------------------------------------------------------------------------|:--------------------------------------------------------:|
| @color - Reaction designated color                                            | Used as a primary version of a color.                    |
| @color-100 - @lighten-percentage: 60%; @saturate-percentage: 5%;              | Recommended for backgrounds                              |
| @color200 - @lighten-percentage: 40%; @desaturate-percentage: 40%;            | Recommended for disabled states                          |
| @color300 - @lighten-percentage: 8%; @saturate-percentage: 15%;               | Recommended for button hover states                      |
| @color400 - @darken-percentage: 10%; @saturate-percentage: 15%;               | Recommended for button active states                     |
| @color500 - @darken-percentage: 5%; @desaturate-percentage: 35%;              | Recommended for accented text color                      |
| @color600 - @darken-percentage: 12; @desaturate-percentage: 35%;              | Recommended for accented text color with more contrast   |

##### Support colors

<img alt="Support colors" src="colors/support-colors.png" style="margin-top: 20px; margin-bottom: 20px; width: 100%;">

|Variable                                                                       |Usage                                                     |
|-------------------------------------------------------------------------------|:--------------------------------------------------------:|
| @color - Reaction designated color                                            | Used as a primary version of a color.                    |
| @color-100- Reaction designated color                                         | Recommended for backgrounds                              |
| @color200 - Reaction designated color                                         | Recommended for disabled states                          |
| @color300 - @lighten-percentage: 8%; @saturate-percentage: 15%;               | Recommended for button hover states                      |
| @color400 - @darken-percentage: 10%; @saturate-percentage: 15%;               | Recommended for button active states                     |
| @color500 - Reaction designated color                                         | Recommended for accented text color                      |
| @color600 - Reaction designated color                                         | Recommended for accented text color with more contrast   |

##### Greyscale

<img alt="Greyscale" src="colors/grey-scale.png" style="margin-top: 20px; margin-bottom: 20px; width: 100%;">
