The Reaction Style Guide and component library is documentation of the components we use to build [Reaction Commerce](http://reactioncommerce.com/) apps. The style guide includes design guidelines, patterns, examples, and theming information. You can play with the component examples and see what happens. All of these components can also be imported into your own browser apps from the [`@reactioncommerce/components`](https://www.npmjs.com/package/@reactioncommerce/components) NPM package.

Our goals for the style guide are threefold:

1. To document our components, patterns, and design guidelines, all in in one place.
1. Expose where we are currently being inconsistent.
1. Enable more consistency in our code and design as we move forward.

This style guide is very much a living and evolving document—this is only the beginning. Transparency and constant iteration are core principles of [Reaction Commerce](http://reactioncommerce.com/), and in that spirit, we wanted to share our style guide as soon as possible. Check back often as we continue to iterate and evolve the Reaction Style Guide.

Follow our progress on GitHub at [reactioncommerce/reaction-component-library](https://github.com/reactioncommerce/reaction-component-library/) and NPM at [@reactioncommerce/components] (https://www.npmjs.com/package/@reactioncommerce/components). Read our [project documentation](https://github.com/reactioncommerce/reaction-component-library/blob/master/docs/README.md) for more details.