###### Designed with consistency - not rigidity - in mind, the base type style set is extensible using our type scale and typographic treatments.

Admin uses a small set of typographic styles, which map to key elements and functions in the user interface. 

#### Choosing a type style

Type styles are generally named for their usage within the UI. The Body text style is the most generic, and is used throughout the UI in various capacities.

##### Usage

These are the typographic styles used in the main admin panel, action panel, cards, modals, and forms.

These typographic styles do not cover the styles used in the storefront. 

##### Base styles

- Title
- Heading
- Sub-heading
- Body
- Label
- Caption


<div style="vertical-align: top; width: 30%; height: 120px; padding-top: 40px; border: 4px solid rgb(247, 247, 247); text-align: center; box-sizing: border-box; display: inline-block; font-size: 1.5rem; letter-spacing: 0.03em; color: rgb(80, 85, 88);line-height: 1.25;margin-bottom: 20px;margin-right: 10px;">Title Text</div>
<div style="vertical-align: top; width: 30%; height: 120px; padding-top: 40px; border: 4px solid rgb(247, 247, 247); text-align: center; box-sizing: border-box; display: inline-block; font-size: 1rem; letter-spacing: 0.03em; color: rgb(80, 85, 88);line-height: 1.25;margin-right: 10px;">Heading Text</div>
<div style="vertical-align: top; width: 30%; height: 120px; padding-top: 40px; border: 4px solid rgb(247, 247, 247); text-align: center; box-sizing: border-box; display: inline-block; font-size: 1.125rem; letter-spacing: 0.03em; color: rgb(80, 85, 88);line-height: 1.25; vertical-align: top;">Subheading Text</div>
<div style="vertical-align: top; width: 30%; height: 120px; padding-top: 40px; border: 4px solid rgb(247, 247, 247); text-align: center; box-sizing: border-box; display: inline-block; font-size: 1.125rem; letter-spacing: 0.03em; color: rgb(52, 52, 52);line-height: 1.5;margin-right: 10px;">Body Text</div>
<div style="width: 30%; height: 120px; padding-top: 40px; border: 4px solid rgb(247, 247, 247); text-align: center; box-sizing: border-box; display: inline-block; font-size: 0.875rem; letter-spacing: 0.02em; color: rgb(80, 85, 88);line-height: 1.25;margin-right: 10px;">Label Text</div>
<div style="vertical-align: top; width: 30%; height: 120px; padding-top: 40px; border: 4px solid rgb(247, 247, 247); text-align: center; box-sizing: border-box; display: inline-block; font-size: 0.875rem; letter-spacing: 0.02em; color: rgb(179, 179, 179);line-height: 1.25;">Caption Text</div>

#### Type scale

This type scale defines the font sizes that can be used by the admin UI. Admin panel type generally does not exceed 1.5rem/24px. 

|rem       |px   | Actual size                                                                  |
|----------|-----|------------------------------------------------------------------------------|
|0.75rem   |12px |<span style="font-family: Source Sans Pro; font-size: 0.75rem">Connecting the world through commerce</span> |
|0.875rem  |14px |<span style="font-family: Source Sans Pro; font-size: 0.875rem">Connecting the world through commerce</span>|
|1rem      |16px |<span style="font-family: Source Sans Pro; font-size: 1rem">Connecting the world through commerce</span>|
|1.125rem  |18px |<span style="font-family: Source Sans Pro; font-size: 1.125rem">Connecting the world through commerce</span>|
|1.25rem   |20px |<span style="font-family: Source Sans Pro; font-size: 1.25rem">Connecting the world through commerce</span>|
|1.5rem    |24px |<span style="font-family: Source Sans Pro; font-size: 1.5rem">Connecting the world through commerce</span>|
|1.75rem   |28px |<span style="font-family: Source Sans Pro; font-size: 1.75rem">Connecting the world through commerce</span>|
|2rem      |32px |<span style="font-family: Source Sans Pro; font-size: 2rem">Connecting the world through commerce</span>|
|2.25rem   |36px |<span style="font-family: Source Sans Pro; font-size: 2.25rem">Connecting the world through commerce</span>|
|2.625rem  |42px |<span style="font-family: Source Sans Pro; font-size: 2.625em">Connecting the world through commerce</span>|

#### Typographic treatments

##### Font weight

The Admin UI uses [Source Sans Pro](https://fonts.google.com/specimen/Source+Sans+Pro) in Regular and Bold weights, which can be used to create content hierarchy.

|Title     |<span style="font-family: Source Sans Pro; font-weight: 200;">Light 200</span>|Regular 400|<span style="font-family: Source Sans Pro; font-weight: 700;">Bold 700</span>|
|----------|--------------------------------------------------------------|-----------|------------------------------------------------------------|
|Title     |<span style="font-family: Source Sans Pro; font-weight: 200; font-size: 24px; letter-spacing: 0.4px; color: #505558;">Light 200</span>|<span style="font-size: 24px; letter-spacing: 0.4px; color: #505558; font-family: Source Sans Pro;">Regular 400</span>|<span style="font-family: Source Sans Pro; font-weight: 700; font-size: 24px; letter-spacing: 0.4px; color: #505558;">Bold 700</span>|
|Heading   |<span style="font-family: Source Sans Pro; font-weight: 200; font-size: 16px; letter-spacing: 0.4px; color: #505558;">Light 200</span>|<span style="font-size: 16px; letter-spacing: 0.4px; color: #505558; font-family: Source Sans Pro;">Regular 400</span>|<span style="font-family: Source Sans Pro; font-weight: 700; font-size: 16px; letter-spacing: 0.4px; color: #505558;">Bold 700</span>|
|Subheading|<span style="font-family: Source Sans Pro; font-weight: 200; font-size: 18px; letter-spacing: 0.4px; color: #505558;">Light 200</span>|<span style="font-size: 18px; letter-spacing: 0.4px; color: #505558; font-family: Source Sans Pro;">Regular 400</span>|<span style="font-family: Source Sans Pro; font-weight: 700; font-size: 18px; letter-spacing: 0.4px; color: #505558;">Bold 700</span>|
|Body      |<span style="font-family: Source Sans Pro; font-weight: 200; font-size: 16px; letter-spacing: 0.3px; color: #343434;">Light 200</span>|<span style="font-size: 16px; letter-spacing: 0.3px; color: #343434; font-family: Source Sans Pro;">Regular 400</span>|<span style="font-family: Source Sans Pro; font-weight: 700; font-size: 16px; letter-spacing: 0.3px; color: #343434;">Bold 700</span>|
|Label     |<span style="font-family: Source Sans Pro; font-weight: 200; font-size: 14px; letter-spacing: 0.3px; color: #505558;">Light 200</span>|<span style="font-size: 14px; letter-spacing: 0.3px; color: #505558; font-family: Source Sans Pro;">Regular 400</span>|<span style="font-family: Source Sans Pro; font-weight: 700; font-size: 14px; letter-spacing: 0.3px; color: #505558;">Bold 700</span>|
|Caption   |<span style="font-family: Source Sans Pro; font-weight: 200; font-size: 14x; letter-spacing: 0.3px; color: #b3b3b3">Light 200</span>|<span style="font-size: 14x; letter-spacing: 0.3px; color: #b3b3b3; font-family: Source Sans Pro;">Regular 400</span>|<span style="font-family: Source Sans Pro; font-weight: 700; font-size: 14x; letter-spacing: 0.3px; color: #b3b3b3">Bold 700</span>|

Generally used for emphasis, the bold weight shouldn’t be applied to anything longer than short text strings.

##### Line-height

Leading, or line-height, is an important factor in the legibility of copy. The admin panel uses two line-heights for text:
- 1.5 for body copy
- 1.25 for labels, captions, headings, subheadings and titles. 

|Line height             | Ratio |
|------------------------|-------|
|Body text               |1:1.5  |
|Headers, titles, labels | 1:1.25|

Body copy benefits from more spacing between lines for improved legibility, while the other styles rarely run for multiple lines and don’t require as much leading.

#### Type styles specs and usage

<div style="vertical-align: top; width: 30%; height: 120px; padding-top: 40px; border: 4px solid rgb(247, 247, 247); text-align: center; box-sizing: border-box; display: inline-block; font-size: 1.5rem; letter-spacing: 0.03em; color: rgb(80, 85, 88);line-height: 1.25;margin-bottom: 20px;margin-right: 10px;">Title Text</div>
<div style="vertical-align: top; width: 30%; height: 120px; padding-top: 40px; border: 4px solid rgb(247, 247, 247); text-align: center; box-sizing: border-box; display: inline-block; font-size: 1rem; letter-spacing: 0.03em; color: rgb(80, 85, 88);line-height: 1.25;margin-right: 10px;">Heading Text</div>
<div style="vertical-align: top; width: 30%; height: 120px; padding-top: 40px; border: 4px solid rgb(247, 247, 247); text-align: center; box-sizing: border-box; display: inline-block; font-size: 1.125rem; letter-spacing: 0.03em; color: rgb(80, 85, 88);line-height: 1.25; vertical-align: top;">Subheading Text</div>
<div style="padding-right: 25px; box-sizing: border-box; width: 30%; vertical-align: top; font-family: PostGrotesk-Regular; display: inline-block; margin-right: 10px; margin-bottom: 20px;">
**Usage**<br><br>
Use the Title style for top-level admin panel titles.<br><br>
**Specs**<br><br>
Weight - Regular<br>
Size - 1.5rem<br>
Line height - 1.25<br>
Character spacing - .03em
</div>

<div style="padding-right: 25px; box-sizing: border-box; width: 30%; vertical-align: top; font-family: PostGrotesk-Regular; display: inline-block; margin-right: 10px; margin-bottom: 20px;">
**Usage**<br><br>
Use the Heading style for card titles.<br><br>
**Specs**<br><br>
Weight - Regular<br>
Size - 1rem<br>
Line height - 1.25<br>
Character spacing - .03em
</div>

<div style="padding-right: 25px; box-sizing: border-box; width: 30%; vertical-align: top; font-family: PostGrotesk-Regular; display: inline-block; margin-bottom: 20px;">
**Usage**<br><br>
Use the Subheading style to denote new sections within cards.<br><br>
**Specs**<br><br>
Weight - Regular<br>
Size - 1.125rem<br>
Line height - 1.25<br>
Character spacing - .03em
</div>

<div style="vertical-align: top; width: 30%; height: 120px; padding-top: 40px; border: 4px solid rgb(247, 247, 247); text-align: center; box-sizing: border-box; display: inline-block; font-size: 1.125rem; letter-spacing: 0.03em; color: rgb(52, 52, 52);line-height: 1.5;margin-right: 10px;">Body Text</div>
<div style="vertical-align: top; width: 30%; height: 120px; padding-top: 40px; border: 4px solid rgb(247, 247, 247); text-align: center; box-sizing: border-box; display: inline-block; font-size: 0.875rem; letter-spacing: 0.02em; color: rgb(80, 85, 88);line-height: 1.25;margin-right: 10px;">Label Text</div>
<div style="vertical-align: top; width: 30%; height: 120px; padding-top: 40px; border: 4px solid rgb(247, 247, 247); text-align: center; box-sizing: border-box; display: inline-block; font-size: 0.875rem; letter-spacing: 0.02em; color: rgb(179, 179, 179);line-height: 1.25;">Caption Text</div>
<div style="padding-right: 25px; box-sizing: border-box; vertical-align: top; width: 30%; vertical-align: top; font-family: PostGrotesk-Regular; display: inline-block; margin-right: 10px; margin-top: 20px;">
**Usage**<br><br>
The Body text style is used widely throughout the UI. Any text that isn’t a title, heading, subheading, label or caption would generally use the Body style.
<br><br>
**Specs**<br><br>
Weight - Regular<br>
Size - 1rem<br>
Line height - 1.5<br>
Character spacing - .03em
</div>

<div style="padding-right: 25px; box-sizing: border-box; width: 30%; vertical-align: top; font-family: PostGrotesk-Regular; display: inline-block; margin-right: 10px; margin-top: 20px;">
**Usage**<br><br>
Use labels with form field and input elements to signify the element’s function to the user.<br><br>
**Specs**<br><br>
Weight - Regular<br>
Size - .875rem<br>
Line height - 1.25<br>
Character spacing - .02em
</div>

<div style="padding-right: 25px; box-sizing: border-box; width: 30%; vertical-align: top; font-family: PostGrotesk-Regular; display: inline-block; margin-top: 20px;">
**Usage**<br><br>
Use the Caption style for help/hint text. It’s used with some form fields which require a description, and can also be used stand-alone within a card when necessary.
<br><br>
**Specs**<br><br>
Weight - Regular<br>
Size - .875rem<br>
Line height - 1.25<br>
Character spacing - .02em
</div>